
import { _decorator, Component, Node, log, director, resources, SceneAsset } from 'cc';
const { ccclass, property } = _decorator;

/**
 * Predefined variables
 * Name = Test
 * DateTime = Thu Oct 28 2021 11:45:59 GMT+0800 (中国标准时间)
 * Author = wj7854200
 * FileBasename = Test.ts
 * FileBasenameNoExtension = Test
 * URL = db://assets/scripts/Test.ts
 * ManualUrl = https://docs.cocos.com/creator/3.3/manual/zh/
 *
 */

@ccclass('Test')
export class Test extends Component {
    // [1]
    // dummy = '';

    // [2]
    // @property
    // serializableDummy = 0;

    @property({ type: SceneAsset })
    sa: SceneAsset = null;

    start() {
        // [3]
    }

    click(event, type) {
        log(event);
        log(type);
        log(this.sa);
        director.loadScene(this.sa.name);
    }

    // update (deltaTime: number) {
    //     // [4]
    // }
}

/**
 * [1] Class member could be defined like this.
 * [2] Use `property` decorator if your want the member to be serializable.
 * [3] Your initialization goes here.
 * [4] Your update function goes here.
 *
 * Learn more about scripting: https://docs.cocos.com/creator/3.3/manual/zh/scripting/
 * Learn more about CCClass: https://docs.cocos.com/creator/3.3/manual/zh/scripting/ccclass.html
 * Learn more about life-cycle callbacks: https://docs.cocos.com/creator/3.3/manual/zh/scripting/life-cycle-callbacks.html
 */
